$md-darkgray: (
  50 : #e7e7e7,
  100 : #c2c2c2,
  200 : #999999,
  300 : #707070,
  400 : #525252,
  500 : #333333,
  600 : #2e2e2e,
  700 : #272727,
  800 : #202020,
  900 : #141414,
  A100 : #ef6e6e,
  A200 : #ea4040,
  A400 : #f60000,
  A700 : #dd0000,
  contrast: (
    50 : #000000,
    100 : #000000,
    200 : #000000,
    300 : #ffffff,
    400 : #ffffff,
    500 : #ffffff,
    600 : #ffffff,
    700 : #ffffff,
    800 : #ffffff,
    900 : #ffffff,
    A100 : #000000,
    A200 : #ffffff,
    A400 : #ffffff,
    A700 : #ffffff,
  )
);

$md-deepblack: (
  50 : #e0e0e0,
  100 : #b3b3b3,
  200 : #808080,
  300 : #4d4d4d,
  400 : #262626,
  500 : #000000,
  600 : #000000,
  700 : #000000,
  800 : #000000,
  900 : #000000,
  A100 : #a6a6a6,
  A200 : #8c8c8c,
  A400 : #737373,
  A700 : #666666,
  contrast: (
    50 : #000000,
    100 : #000000,
    200 : #000000,
    300 : #ffffff,
    400 : #ffffff,
    500 : #ffffff,
    600 : #ffffff,
    700 : #ffffff,
    800 : #ffffff,
    900 : #ffffff,
    A100 : #000000,
    A200 : #000000,
    A400 : #ffffff,
    A700 : #ffffff,
  )
);

$md-deepdarkpurple: (
  50 : #ede8f3,
  100 : #d3c5e2,
  200 : #b59fcf,
  300 : #9778bb,
  400 : #815bad,
  500 : #6b3e9e,
  600 : #633896,
  700 : #58308c,
  800 : #4e2882,
  900 : #3c1b70,
  A100 : #c9acff,
  A200 : #a879ff,
  A400 : #8746ff,
  A700 : #772cff,
  contrast: (
    50 : #000000,
    100 : #000000,
    200 : #000000,
    300 : #000000,
    400 : #ffffff,
    500 : #ffffff,
    600 : #ffffff,
    700 : #ffffff,
    800 : #ffffff,
    900 : #ffffff,
    A100 : #000000,
    A200 : #000000,
    A400 : #ffffff,
    A700 : #ffffff,
  )
);

$md-deeppurple: (
  50 : #e9e0f0,
  100 : #c9b3da,
  200 : #a580c1,
  300 : #814da8,
  400 : #662695,
  500 : #4b0082,
  600 : #44007a,
  700 : #3b006f,
  800 : #330065,
  900 : #230052,
  A100 : #ad85ff,
  A200 : #8b52ff,
  A400 : #691fff,
  A700 : #5805ff,
  contrast: (
    50 : #000000,
    100 : #000000,
    200 : #000000,
    300 : #ffffff,
    400 : #ffffff,
    500 : #ffffff,
    600 : #ffffff,
    700 : #ffffff,
    800 : #ffffff,
    900 : #ffffff,
    A100 : #000000,
    A200 : #ffffff,
    A400 : #ffffff,
    A700 : #ffffff,
  )
);

$md-darkviolet: (
  50 : #f2e0fa,
  100 : #dfb3f2,
  200 : #ca80e9,
  300 : #b44de0,
  400 : #a426da,
  500 : #9400d3,
  600 : #8c00ce,
  700 : #8100c8,
  800 : #7700c2,
  900 : #6500b7,
  A100 : #efe0ff,
  A200 : #d5adff,
  A400 : #bb7aff,
  A700 : #ae61ff,
  contrast: (
    50 : #000000,
    100 : #000000,
    200 : #000000,
    300 : #ffffff,
    400 : #ffffff,
    500 : #ffffff,
    600 : #ffffff,
    700 : #ffffff,
    800 : #ffffff,
    900 : #ffffff,
    A100 : #000000,
    A200 : #000000,
    A400 : #000000,
    A700 : #000000,
  )
);

